plotQNH {RJaCGH} | R Documentation

## Plot transition probabilities

### Description

Plot the probabilities of staying in the same state for a non-homogenous hidden Markov model.

### Usage

    plotQNH(x, beta, q=-beta, col = NULL, ...)

### Arguments

`x` | Vector of distances between observations
`beta` | beta parameter of the transition matrix. Must be a square matrix with the same size as the number of hidden states
`q` | q parameter of the transition matrix. Must be a square matrix with the same size as the number of hidden states
`col` | vector of colors for each state. Must be of the same size as the number of hidden states
`...` | aditional arguments passed to plot

### Details

Please note that RJaCGH model imposes that `q` is `-beta`, and distances are normalized to lay between 0 and 1.

### Value

A plot is produced showing the probability of staying in the same hidden state versus distance between adjacent genes, for every state.

### Author(s)

Oscar M. Rueda and Ramon Diaz-Uriarte

### References

Rueda OM, Diaz-Uriarte R. Flexible and Accurate Detection of Genomic Copy-Number Changes from aCGH. PLoS Comput Biol. 2007;3(6):e122

### Examples

    ## Model with two hidden states
    ## Note that RJaCGH normalizes distances to be between 0 and 1
    x <- rexp(99)
    x <- x/ max(x)
    beta <- matrix(c(0, 1, 3, 0), 2, 2)
    plotQNH(x=x, beta=beta, q=-beta, col=c(1,2))

[Package RJaCGH version 2.0.4 Index]